## sidekick.enhanced
Class SourceParser.PackageMap

    java.lang.Object
      java.util.AbstractMap
          java.util.TreeMap
              sidekick.enhanced.SourceParser.PackageMap

All Implemented Interfaces:
  Cloneable, Map, Serializable, SortedMap

Enclosing class:
  SourceParser

protected class SourceParser.PackageMap
extends TreeMap

See Also:
  Serialized Form

Constructor Summary
`SourceParser.PackageMap()`
`SourceParser.PackageMap(SourceParser.PackageComparator pc)`

Method Summary
`HashMap` `addPackage(String p, SourceAsset a)`
`void` `addToList(String typ, String p, SourceAsset a)`
`void` `completePackageAsset(String p, Position end)`
`void` `completePackageAsset(String p, Position end, int lineNo)`
`void` `completePackageAsset(String p, Position end, String desc)`
`SourceAsset` `getPackageAsset(String p)`

Methods inherited from class java.util.TreeMap
`clear, clone, comparator, containsKey, containsValue, entrySet, firstKey, get, headMap, keySet, lastKey, put, putAll, remove, size, subMap, tailMap, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, isEmpty`

Constructor Detail

### SourceParser.PackageMap

    public SourceParser.PackageMap()

### SourceParser.PackageMap

    public SourceParser.PackageMap(SourceParser.PackageComparator pc)

Method Detail

### addPackage

    public HashMap addPackage(String p,
                              SourceAsset a)

### getPackageAsset

    public SourceAsset getPackageAsset(String p)

### completePackageAsset

    public void completePackageAsset(String p,
                                     Position end)

### completePackageAsset

    public void completePackageAsset(String p,
                                     Position end,
                                     String desc)

### completePackageAsset

    public void completePackageAsset(String p,
                                     Position end,
                                     int lineNo)

### addToList

    public void addToList(String typ,
                          String p,
                          SourceAsset a)